#
# spec file for package diffutils
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           diffutils
Url:            http://www.gnu.org/software/diffutils/
Provides:       diff
Obsoletes:      diff
PreReq:         %{install_info_prereq}
Version:        3.2
Release:        0
Summary:        GNU diff Utilities
License:        GFDL-1.2 and GPL-3.0+
Group:          Productivity/Text/Utilities
Source:         http://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.xz
Patch1:         diffutils-stdio.in.patch
Patch2:         config-guess-sub-update.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  xz

%description
The GNU diff utilities find differences between files. diff is used to
make source code patches, for instance.

%prep
%setup -q
%patch1 -p1
%patch2

%build
%configure
make %{?_smp_mflags}

%install
%makeinstall
gzip -9 %{buildroot}%{_infodir}/%{name}.info
%find_lang %name

%post
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README THANKS
%{_bindir}/cmp
%{_bindir}/diff
%{_bindir}/diff3
%{_bindir}/sdiff
%doc %{_infodir}/%{name}.info.gz
%doc %{_mandir}/man1/*.gz

%changelog
